---
title: "From Redhat to Ubuntu to Arch"
date: 2022-10-28T22:41:20+02:00
draft: false
---
# From Debian to Arch

## Summary/TL;DR
I've worked extensively with [Ubuntu](https://ubuntu.com/) both personally and professionally. As time passed it became increasingly bloated, stale and outdated. I switched to [Arch Linux](https://archlinux.org/) and [Manjaro](https://manjaro.org/) due to the frequency of updates.

## In the beginning (1998 - ~2006)
As a teenager in the late '90s I started to to run Linux on my old Pentium 75. This was [RedHat v5.2](https://www.redhat.com/en/about/press-releases/press-redhatlinux52) I bought with a box and a manual on a CD, installed it on my computer with multi-boot. The latter was requirement because I still wanted to play video games on my Windows 98 install. This until recently set a trend that didn't change for many decades.

After RedHat, I turned to [Slackware](http://www.slackware.com/), and from Slackware I got interested in the BSDs even running [OpenBSD](https://www.openbsd.org/) and [FreeBSD](https://www.freebsd.org/) on my desktop.

Around this time I bought a cheap PC, installed OpenBSD on it, chucked it into a data center at an age of 18 (Thanks BillSF! 🙂) and ever since I've had a unix box online somewhere from which I organized my digital life, ran IRC and services for friends.

I briefly ran a small hosting company on several FreeBSD servers. The OS is great, the experience was valuable, but not worth repeating.

## My carreer and Windows ( ~2007 - 2018)
During this period I didn't touch any of the BSDs (except for OS X). It was around this time [Ubuntu](https://ubuntu.com/) started to become my goto Linux flavour for both personal and professional projects. Anything related to work ended up becoming an Ubuntu server, any remote server or laptop for personal use ended up running Ubuntu.

And running Ubuntu made sense, you installed it on something and you had a functioning desktop server instantly available. Updates of packages? Just run `apt`, easy! Upgrade to a new version of Ubuntu, run `do-release-upgrade` and hope it doesn't break! Packages, by the boatload and available at your fingertips. Problems? Chances are you aren't alone and a nifty search on your favorite search-engine would have an answer for you. Even software not in the repos catered to you with their own repos. And it was great!

However, my main desktop became a dedicated windows box because I liked to play video games for hours on end. And with the limited availability of video games on Linux it wasn't really an appealing platform to waste my time on and escape real life, or work.

During this time I wasn't sitting still:

* I got certified with Linux ([LPIC1](https://www.lpi.org/our-certifications/lpic-1-overview)), [BSD Specialist](https://www.lpi.org/our-certifications/bsd-overview), [Solaris 10](https://education.oracle.com/oracle-solaris/solaris-10-administration/product_296), VMware 4, VMware 5 and also some AWS. I liked it, it may have been more of a hobby, because I doubt some of it was useful for my then employer.
* At work I briefly ran a [Fedora](https://getfedora.org/) install as my main desktop, while it worked, I wasn't really happy with it. I felt weird using it, and it felt out of place. Also the software seemed outdated. Luckily this was a short-lived experiment.
* My remote unix box moved from data center to data center to data center, enjoying different hardware and newer Ubuntu installs during this time.
* For several years I was running a VMware ESXi 4 server (colocated in [Eweka](https://www.eweka.nl/) when they still did colocation) with on it VMs running Ubuntu, [Solaris](https://www.oracle.com/solaris/solaris11/), briefly OpenBSD, and as one would expect my remote unix box.

While Windows was my main OS for my gaming, [ArmA 3](https://arma3.com/) and [Flightsim](https://www.falcon-bms.com/) [habbits](https://www.digitalcombatsimulator.com/en/). I still ran different flavours of Unix. Ubuntu being my mainstay.

## Shuffling things around (2019-2022)
A lot has happened in the years prior. So in random order:
* There has been a tremendous amount of improvements to Linux and the desktop environment.
* Gaming through emulation via [Steam's Proton](https://github.com/ValveSoftware/Proton) rendered [a large portion of my Steam Library playable in Linux](https://www.protondb.com/)
* [There were distros specifically setup focussed on gaming](https://linuxstans.com/best-linux-distro-gaming/)
* [Ubuntu has gotten to the point it was the basis for other distros](https://en.wikipedia.org/wiki/List_of_Linux_distributions#Ubuntu-based)
* New universal package managers ([snap](https://snapcraft.io/), [flatpack](https://flatpak.org/), but I prefer just AppImages)

And the last two is where things with Ubuntu started to become stale. And for me this hinged on two things:
1. Lack of up-to-date software
2. Snap

### Lack of up-to-date software
I noticed as time progressed that Ubuntu didn't offer the state of the art desktop. It lacked up-to-date software, configuration, codecs, also the userfriendly aspect took a nosedive. With [Canonical](https://canonical.com/) doing its own thing, it became obvious that it kept moving further and further away from the average linux desktop user. The popularity of [Mint Linux](https://linuxmint.com/) and a plethora of other Linux distros based on Ubuntu was IMHO symptomatic of this. And as a user with a desktop or someone managing servers the packaged software you received from the repos were except for security updates fairly out of date. As a server admin you had to resort to creating your own packages of recently updated software and distribute those if you needed a recent feature. I recall Mint having the same issue, but at least the desktop looked nicer. 🤷

### Snap
I think it is bloated. I think it is slow. It doesn't make sense to me to have multiple package managers in an install. Apt worked fine, why exclusively distribute certain software via snap, which requires an entirely different upgrade process. With the traditional distribution model and dynamically linked libraries one would be able to update a library, without having to run updates on depending software. WIth the bundled model it won't receive security updates until the bundled library is also updated, and it is to the package maintainer to keep track of this.

### Arch Linux and Manjaro
At this stage in my career I am working rather intensively with command-line and tools that need to remain up-to-date. And I like my applications to be up-to-date with all the features, fixes and security updates. I was done with Windows, and needed something different. With Steam Proton allowing me to play video games on Linux, and having always used Open-Source Software for my day-to-day applications, this shift shouldn't be hard. So I decided to migrate to Windows.

At some point I bought a small SSD M2 drive and installed [SparkyLinux GameOver Edition](https://sparkylinux.org/sparkylinux-4-0-gameover/) (based on the Debian Testing) to use as my main Linux desktop and multi-boot between Linux and Windows when needed. With SparkyLinux being unstable and virtually unusable, I briefly tried Linux Mint, but I experienced this to be outdated most of the time. I still ended up booting Windows to play video games, and staying there for months on end.

And this is were a Arch Linux and [Manjaro](https://manjaro.org/) (Desktop distro based on Arch Linux) come in. It is based on a [rolling-release model](https://en.wikipedia.org/wiki/Rolling_release), provides the latest stable versions of most software, has an excellent wiki, lots of support online and just seems to be what I wanted: Bleeding edge, without the sharp pointy bits.

So I got some 1TB SSD M2 on sale, replaced the old one, installed Manjaro, and haven't looked back since. And I think I did this a year or 2 years ago. And this trend continued, my laptop got an install of Manjaro, my VMs slowly migrated from Ubuntu to Arch Linux. And except for a massive file storage running Debian at home, everything is running something based on Arch.

## In conclusion
As my career progressed, technology progressed, my desire to work with unix and to play video games remained throughout the years. And as everything changed, doors opened and I stepped through. What the future brings, I do now know. But where I sit I am sitting very comfortably.

PS: I forgot to mention that I've been working with a Mac Mini and MacBook Pros in a professional capacity for the past 17 years. Technically its based on BSD, so I think I am good. 😅
